> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlink a shared dataset from this project

> Unlink the dataset with the specified Id from a project. Required permissions: `ManageDatasetsRw,UseFileStorage`



## OpenAPI

````yaml /api-specs/6.3/public-api.json delete /api/projects/v1/projects/{projectId}/shared-datasets/{datasetId}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/projects/v1/projects/{projectId}/shared-datasets/{datasetId}:
    delete:
      tags:
        - Datasets
      summary: Unlink a shared dataset from this project
      description: >-
        Unlink the dataset with the specified Id from a project. Required
        permissions: `ManageDatasetsRw,UseFileStorage`
      operationId: unlinkDatasetFromProject
      parameters:
        - description: Id of project
          in: path
          name: projectId
          required: true
          schema:
            type: string
        - description: Id of shared dataset to remove
          in: path
          name: datasetId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteEnvelopeV1'
          description: Success
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    DeleteEnvelopeV1:
      properties:
        metadata:
          $ref: '#/components/schemas/MetadataV1'
        success:
          type: boolean
      required:
        - success
        - metadata
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Link a shared dataset to this project](/6.3/api-reference/datasets/link-a-shared-dataset-to-this-project.md)
- [Get shared datasets that a project uses](/6.3/api-reference/datasets/get-shared-datasets-that-a-project-uses.md)
- [Unlink goal from job](/6.3/api-reference/jobs/unlink-goal-from-job.md)
- [Use Datasets and snapshots](/6.3/platform-capabilities/core-concepts/data/datasets/use-datasets-and-snapshots.md)
